Subject: bug#27212: 203a9455c4695152fc5d0085bffeead9ce3216c2 broke system boot

From: ng0 <[email-masked]>
Date: Sat, 3 Jun 2017 17:30:56 +0000

Marius Bakke transcribed 1.4K bytes:
> ng0 <[email-masked]> writes:
> 
> > Otherwise perfectly working systems I have *all* break after
> > https://git.savannah.gnu.org/cgit/guix.git/commit/?id=203a9455c4695152fc5d0085bffeead9ce3216c2
> >
> > and the last thing  they display before guile repl is the
> > message in that commit.
> >
> > Yes, I use labels. No, I don't use complicated setups.
> > Please test such changes before applying them in the wild..
> > I just hope this happened here and the break is a mistake.
> 
> I *just* noticed the same thing. I also tried reverting this commit, but
> that just entered a (re)boot loop. Not sure what's up, but two of my
> GuixSD systems are affected.
> 
> On my way out now, but will investigate more tomorrow. CC Danny in case
> of insight (which report by Chris did this address?).
> 
> Older generations are fine.

Thanks.

Results like this should be avoided. As long as this happens
there is a reason for the 'beta' label.

It might be usable in all kinds of environments, but we
have to have rules and guidelines when something can be
applied just like this after QA or when a certain set
of people have to aprove the change as they did
test the change and it worked.

I consider file-system one of these cases.
If the commit touches the way towards boot, approval
is the way to go.

-- 
ng0
OpenPG: A88C8ADD129828D7EAC02E52E22F9BBFEE348588